package product.controller;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import com.github.pagehelper.PageInfo;

import product.service.ProductService;
import product.model.Product;

@Controller
@RequestMapping("/product")
public class ProductController
{
	@Autowired 
	private ProductService productService;
	
	@RequestMapping("/selectProducts")
	public String selectAccounts(@RequestParam(required=false,defaultValue="1" )int page,
			@RequestParam(required=false,defaultValue="5" )int rows,Product account,Model model){
		PageInfo<Product>pageInfo=productService.getPage(account, page, rows);
		model.addAttribute("queryParam",account);
		model.addAttribute("pageInfo", pageInfo);
		model.addAttribute("pageurl", "/product/selectProducts");
		model.addAttribute("page", page);
		model.addAttribute("rows", rows);
		
		return "product/product_list";	
		}
		
	  @RequestMapping(value="/insertProduct",method=RequestMethod.POST)
	  @ResponseBody
		public String insertProduct(Product product){
		  int rows=productService.insertProduct(product);
		  if(rows>0){
			  return "OK";
		  }
		  else {
			  return "FAIL";
		}
	}

	  
	  @RequestMapping(value="/getProductByNo",method=RequestMethod.POST)
	  @ResponseBody
			public String getProductByNo(String no){
		  Product product=productService.getProductByNo(no);
			  if(product!=null){
				  return "OK";
			  }
			  else {
				  return "FAIL";
			}
		}
	  
	  
	  @RequestMapping(value="/getProductByid")
	  @ResponseBody
			public Product getProductByid(int id){
		  Product product=productService.getProductByid(id);
				  return product;
			}
	  
		
	  @RequestMapping(value="/updateProduct",method=RequestMethod.POST)
	  @ResponseBody
		public String updateProduct(Product product){
		  int rows=productService.updateProduct(product);
		  if(rows>0){
			  return "OK";
		  }
		  else {
			  return "FAIL";
		}
	}
	  
	  
	  @RequestMapping(value="/deleteProduct",method=RequestMethod.POST)
	  @ResponseBody
		public String deleteProduct(int id){
		  int rows=productService.deleteProductById(id);
		  if(rows>0){
			  return "OK";
		  }
		  else {
			  return "FAIL";
		}
	}
	  
		}

